Subject: Re: PCI DMA Problems With 82xx?

From: Scott Wood <[email-masked]>
Date: Tue, 17 Jun 2008 16:29:42 -0500

Mike Winter wrote:
> We are developing with an 8248-based platform, and we have a vendor 
> telling us that the PCI hardware is unreliable on this CPU family, in 
> particular the DMA functionality.  A quick search of this list doesn't 
> turn up any horror stories, although the processor does have some PCI 
> errata listed.  Does anybody have any practical experience using PCI on 
> the 8248 or similar that they can share with me?   Thanks.

Make sure that you park the bus on PCI, and elevate PCI's arbitration 
priority.  See fixup_pci() in arch/powerpc/boot/cuboot-pq2.c.

I haven't had a problem with PCI DMA when that is done, though I haven't 
done significant stress testing.

-Scott